#include <bits/stdc++.h>
using namespace std;
int main()
{
	int n,m;
	long long r=0;
	scanf("%i%i",&n,&m);
	int a[n+1];
	vector<int>E[n+1];
	vector<int>P[n+1];
	for(int i=1;i<=n;i++)
	{
		scanf("%i",&a[i]);
	}
	for(int i=1;i<=m;i++)
	{
		int b,c;
		scanf("%i%i",&b,&c);
		E[b].push_back(c);
		E[c].push_back(b);
	}
	for(int i=1;i<=n;i++)
	{
		r+=E[i].size();
	}
	printf("%lld",r);
	return 0;
}